# execute-file(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

execute-file - Execute script lines from a file

## SYNOPSIS

n execute-file "file" (esc /)

## DESCRIPTION

execute-file executes script lines from the given file n times in succession, this is the normal way to execute a MicroEmacs 2009 script. The command prompts for a file name, and will then search for <file>[.emf] in the search path. If the file is found then the file is loaded and the buffer is executed n times.

## SEE ALSO

execute-buffer(2), execute-line(2), execute-named-command(2), execute-string(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>